Rapid7 Vulnerability & Exploit Database

PHP Vulnerability: CVE-2007-5899

Back to Search

PHP Vulnerability: CVE-2007-5899

Severity
4
CVSS
(AV:N/AC:M/Au:N/C:P/I:N/A:N)
Published
11/20/2007
Created
07/25/2018
Added
10/01/2012
Modified
07/21/2021

Description

The output_add_rewrite_var function in PHP before 5.2.5 rewrites local forms in which the ACTION attribute references a non-local URL, which allows remote attackers to obtain potentially sensitive information by reading the requests for this URL, as demonstrated by a rewritten form containing a local session ID.

Solution(s)

  • php-upgrade-5_2_5

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;